org.eclipse.wst.jsdt.core.search

## Interface IJavaScriptSearchConstants

    public interface IJavaScriptSearchConstants

This interface defines the constants used by the search engine.

This interface declares constants only; it is not intended to be implemented.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Field Summary

Fields
`static int` `ALL_OCCURRENCES` The search result is a declaration, a reference, or an implementer of an interface.
`static int` `CANCEL_IF_NOT_READY_TO_SEARCH` The search operation throws an `org.eclipse.core.runtime.OperationCanceledException` if the underlying indexer has not finished indexing the workspace.
`static int` `CLASS` The searched element is a class.
`static int` `CONSTRUCTOR` The searched element is a constructor.
`static int` `DECLARATIONS` The search result is a declaration.
`static int` `ENUM` The searched element is an enum.
`static int` `FIELD` The searched element is a field.
`static int` `FORCE_IMMEDIATE_SEARCH` The search operation starts immediately, even if the underlying indexer has not finished indexing the workspace.
`static int` `FUNCTION`
`static int` `IGNORE_DECLARING_TYPE` Ignore declaring type while searching result.
`static int` `IGNORE_RETURN_TYPE` Ignore return type while searching result.
`static int` `IMPLEMENTORS` The search result is a type that extends a class.
`static int` `METHOD` The searched element is a method.
`static int` `PACKAGE` The searched element is a package.
`static int` `READ_ACCESSES` When searching for field matches, it will exclusively find read accesses, as opposed to write accesses.
`static int` `REFERENCES` The search result is a reference.
`static int` `TYPE` The searched element is a type, which may include classes, interfaces, enums, and annotation types.
`static int` `UNKNOWN` The nature of searched element or the nature of match in unknown.
`static int` `VAR` The searched element is a field.
`static int` `WAIT_UNTIL_READY_TO_SEARCH` The search operation waits for the underlying indexer to finish indexing the workspace before starting the search.
`static int` `WRITE_ACCESSES` When searching for field matches, it will exclusively find write accesses, as opposed to read accesses.

### Field Detail

#### UNKNOWN

    static final int UNKNOWN

The nature of searched element or the nature of match in unknown.

See Also:
  Constant Field Values

#### TYPE

    static final int TYPE

The searched element is a type, which may include classes, interfaces, enums, and annotation types.

See Also:
  Constant Field Values

#### METHOD

    static final int METHOD

The searched element is a method.

See Also:
  Constant Field Values

#### PACKAGE

    static final int PACKAGE

The searched element is a package.

See Also:
  Constant Field Values

#### CONSTRUCTOR

    static final int CONSTRUCTOR

The searched element is a constructor.

See Also:
  Constant Field Values

#### FIELD

    static final int FIELD

The searched element is a field.

See Also:
  Constant Field Values

#### CLASS

    static final int CLASS

The searched element is a class. More selective than using `TYPE`.

See Also:
  Constant Field Values

#### ENUM

    static final int ENUM

The searched element is an enum. More selective than using `TYPE`.

See Also:
  Constant Field Values

#### VAR

    static final int VAR

The searched element is a field.

See Also:
  Constant Field Values

#### FUNCTION

    static final int FUNCTION

See Also:
  Constant Field Values

#### DECLARATIONS

    static final int DECLARATIONS

The search result is a declaration. Can be used in conjunction with any of the nature of searched elements so as to better narrow down the search.

See Also:
  Constant Field Values

#### IMPLEMENTORS

    static final int IMPLEMENTORS

The search result is a type that extends a class. Used in conjunction with either TYPE or CLASS, it will respectively search for any type extending a type, or rather exclusively search for classes extending the type.

See Also:
  Constant Field Values

#### REFERENCES

    static final int REFERENCES

The search result is a reference. Can be used in conjunction with any of the nature of searched elements so as to better narrow down the search. References can contain implementers since they are more generic kind of matches.

See Also:
  Constant Field Values

#### ALL_OCCURRENCES

    static final int ALL_OCCURRENCES

The search result is a declaration, a reference, or an implementer of an interface. Can be used in conjunction with any of the nature of searched elements so as to better narrow down the search.

See Also:
  Constant Field Values

#### READ_ACCESSES

    static final int READ_ACCESSES

When searching for field matches, it will exclusively find read accesses, as opposed to write accesses. Note that some expressions are considered both as field read/write accesses: for example, x++; x+= 1;

See Also:
  Constant Field Values

#### WRITE_ACCESSES

    static final int WRITE_ACCESSES

When searching for field matches, it will exclusively find write accesses, as opposed to read accesses. Note that some expressions are considered both as field read/write accesses: for example, x++; x+= 1;

See Also:
  Constant Field Values

#### IGNORE_DECLARING_TYPE

    static final int IGNORE_DECLARING_TYPE

Ignore declaring type while searching result. Can be used in conjunction with any of the nature of match.

See Also:
  Constant Field Values

#### IGNORE_RETURN_TYPE

    static final int IGNORE_RETURN_TYPE

Ignore return type while searching result. Can be used in conjunction with any of the nature of match. Note that:

- for fields search, pattern will ignore field type
- this flag will have no effect for types search

See Also:
  Constant Field Values

#### FORCE_IMMEDIATE_SEARCH

    static final int FORCE_IMMEDIATE_SEARCH

The search operation starts immediately, even if the underlying indexer has not finished indexing the workspace. Results will more likely not contain all the matches.

See Also:
  Constant Field Values

#### CANCEL_IF_NOT_READY_TO_SEARCH

    static final int CANCEL_IF_NOT_READY_TO_SEARCH

The search operation throws an `org.eclipse.core.runtime.OperationCanceledException` if the underlying indexer has not finished indexing the workspace.

See Also:
  Constant Field Values

#### WAIT_UNTIL_READY_TO_SEARCH

    static final int WAIT_UNTIL_READY_TO_SEARCH

The search operation waits for the underlying indexer to finish indexing the workspace before starting the search.

See Also:
  Constant Field Values